<?php

namespace App\Enums;

enum DischargeReason: string
{
    case AGENCY_WITHDREW = 'Agency withdrew family';
    case COMPLETED_PLANNED_SERVICES = 'Completed planned services';
    case DCS_OR_PROBATION_WITHDREW = 'DCS or Probation withdrew services';
    case CLIENT_MOVED = 'Client Moved';
    case CLIENT_WITHDREW = 'Client/youth/family withdrew from service';
    case FAMILY_REFUSED = 'Family refused services';
    case OTHER = 'Other, Please Specify';
    case CLIENT_REFUSED = 'Client refused to initiate services';
    case CLIENT_REFERRED = 'Client referred to another service';
    case ADMINISTRATIVE_TERMINATION = 'Administrative termination';
    case REFERRAL_EXPIRED = 'Referral expired';
    case SERVICE_ON_HOLD = 'Service on hold/intermittant';
    case UNKNOWN = 'Unknown';
    case TRANSFER_COUNTY = 'Transfer to another county';
    case ASSIGNED_TO_DIFFERENT_IC = 'Assigned to different IC';
    case SERVICES_NOT_NEEDED = 'Services not needed at this time, per FCM';
    case CHANGE_IN_OBJECTIVE = 'Change in objective/referred person added';
    case DCS_PROBATION_CASE_CLOSED = 'DCS/Probation case closed';
    case TEMP_COVERAGE = 'Temporary coverage only for another IC';
    case UPDATED_REFERRAL = 'Updated referral received';
}
